Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_get_fd

## Name

librdf_hash_get_fd -- Get the file descriptor for the hash

## Synopsis

``int `librdf_hash_get_fd`` (librdf_hash* `hash`);`

## Arguments

`hash`

  hash object

## Description

This returns the file descriptor if it is file based for use with file locking.

## Return value

the file descriptor

<<< Previous | Home | Next >>>
librdf_hash_sync | Up | librdf_hash_print